@import url("https://fonts.googleapis.com/css2?family=Outfit:wght@400;700&display=swap");

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

:root {
  --clr-primary-1: hsl(0, 0%, 100%);
  --clr-primary-2: hsl(212, 45%, 89%);
  --clr-primary-3: hsl(220, 15%, 55%);
  --clr-primary-4: hsl(218, 44%, 22%);
  --ff-primary: "Outfit", sans-serif;
  --spacing: 0.1rem;
  --radius: 0.5rem;
}

body {
  font-family: var(--ff-primary);
  line-height: 1.5;
  font-size: 0.875rem;
  background: var(--clr-primary-2);
}

section {
  height: 100vh;
  display: grid;
  align-items: center;
  justify-content: center;
}
img {
  width: 100%;
  object-fit: cover;
  border-radius: var(--radius);
  display: block;
}

.card {
  background-color: var(--clr-primary-1);
  border: 1px solid var(--clr-primary-1);
  border-radius: var(--radius);
  margin-left: 1rem;
  margin-right: 1rem;
  padding: 1rem 1rem;
  display: grid;
  gap: 1rem;
  text-align: center;
}

h1 {
  text-transform: capitalize;
  width: 13rem;
  color: var(--clr-primary-4);
  margin: 0 auto;
}

p {
  color: var(--clr-primary-3);
  font-size: 1rem;
  font-weight: 500;
  max-width: 17rem;
  margin: 0 auto;
  margin-bottom: 1.25rem;
}

@media screen and (min-width: 1170px) {
  .card {
    max-width: 300px;
    max-height: 500px;
    box-shadow: 0 10px 15px -3px rgb(0 0 0 / 0.1),
      0 4px 6px -4px rgb(0 0 0 / 0.1);
  }

  .card:hover {
    box-shadow: 0 20px 25px -5px rgb(0 0 0 / 0.1),
      0 8px 10px -6px rgb(0 0 0 / 0.1);
  }

  img {
    height: 200px;
  }
}
